package cz.jzitnik.chronos.controllers;

import cz.jzitnik.chronos.entities.Game;
import cz.jzitnik.chronos.payload.responses.UnifiedResponse;
import cz.jzitnik.chronos.repository.GameRepository;
import cz.jzitnik.chronos.services.GameService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@CrossOrigin(origins = "*", maxAge = 3600)
@RestController
@RequestMapping("/game")
public class GameController {
    @Autowired
    private GameService gameService;

    @Autowired
    private GameRepository gameRepository;

    @PostMapping("/new")
    public UnifiedResponse<Game, Error> createGame() {
        var game = gameService.createGame();
        gameRepository.save(game);

        return UnifiedResponse.success(game);
    }
}
