package cz.jzitnik.chronos.entities;


import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import jakarta.persistence.*;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@Entity
@NoArgsConstructor
public class Character {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    private String name;

    @OneToMany(mappedBy = "charowner", cascade = CascadeType.ALL)
    @JsonManagedReference(value = "character-inventory")
    private List<Item> inventory = new ArrayList<>();

    @Enumerated(EnumType.STRING)
    private Interaction interaction;

    @ManyToOne
    @JsonBackReference(value = "room-characters")
    private Room room;

    private String dialog;

    public Character(String name, Room room, String dialog) {
        this.name = name;
        this.room = room;
        this.dialog = dialog;
    }
}
