package cz.jzitnik.chronos.services;

import cz.jzitnik.chronos.entities.*;
import cz.jzitnik.chronos.entities.Character;
import org.springframework.stereotype.Service;

import java.util.ArrayList;

@Service
public class InitGameService {
    public void initGame(Game game) {
        var rooms = new ArrayList<Room>();


        // Outside
        var outside = new Room(
                "Outside", // Name
                game
        );
        var outside_characters = new ArrayList<Character>();
        var elf_items = new ArrayList<Item>();
        var elf = new Character(
                "Skřítek",
                outside,
                "Ahoj já jsem skřítek... Můj dialog doplnit"
        );
        elf_items.add(new Item(ItemType.LUCK_POTION, elf));
        elf.setInventory(elf_items);
        outside_characters.add(elf);
        outside.setCharacters(outside_characters);

        // Stodola
        var stodola = new Room(
                "Stodola",
                game
        );
        var stodola_characters = new ArrayList<Character>();
        var farmar = new Character(
                "Farmář",
                stodola,
                "Ahoj já jsem farmář a budeš se mnou hrát kámen nůžky papír."
        );
        farmar.setInteraction(Interaction.Farmer);
        stodola_characters.add(farmar);
        stodola.setCharacters(stodola_characters);

        rooms.add(outside);
        rooms.add(stodola);

        game.setRooms(rooms);
    }
}